from collections.abc import Mapping
from typing import Final, TypedDict, type_check_only
from typing_extensions import CapsuleType, Never

# TODO: Use `ReadOnly[CapsuleType]` once mypy supports PEP 705: https://github.com/python/mypy/pull/17644
@type_check_only
class _CApiDict(TypedDict):
    caxpy: CapsuleType
    ccopy: CapsuleType
    cdotc: CapsuleType
    cdotu: CapsuleType
    cgbmv: CapsuleType
    cgemm: CapsuleType
    cgemv: CapsuleType
    cgerc: CapsuleType
    cgeru: CapsuleType
    chbmv: CapsuleType
    chemm: CapsuleType
    chemv: CapsuleType
    cher: CapsuleType
    cher2: CapsuleType
    cher2k: CapsuleType
    cherk: CapsuleType
    chpmv: CapsuleType
    chpr: CapsuleType
    chpr2: CapsuleType
    crotg: CapsuleType
    cscal: CapsuleType
    csrot: CapsuleType
    csscal: CapsuleType
    cswap: CapsuleType
    csymm: CapsuleType
    csyr2k: CapsuleType
    csyrk: CapsuleType
    ctbmv: CapsuleType
    ctbsv: CapsuleType
    ctpmv: CapsuleType
    ctpsv: CapsuleType
    ctrmm: CapsuleType
    ctrmv: CapsuleType
    ctrsm: CapsuleType
    ctrsv: CapsuleType
    dasum: CapsuleType
    daxpy: CapsuleType
    dcabs1: CapsuleType
    dcopy: CapsuleType
    ddot: CapsuleType
    dgbmv: CapsuleType
    dgemm: CapsuleType
    dgemv: CapsuleType
    dger: CapsuleType
    dnrm2: CapsuleType
    drot: CapsuleType
    drotg: CapsuleType
    drotm: CapsuleType
    drotmg: CapsuleType
    dsbmv: CapsuleType
    dscal: CapsuleType
    dsdot: CapsuleType
    dspmv: CapsuleType
    dspr: CapsuleType
    dspr2: CapsuleType
    dswap: CapsuleType
    dsymm: CapsuleType
    dsymv: CapsuleType
    dsyr: CapsuleType
    dsyr2: CapsuleType
    dsyr2k: CapsuleType
    dsyrk: CapsuleType
    dtbmv: CapsuleType
    dtbsv: CapsuleType
    dtpmv: CapsuleType
    dtpsv: CapsuleType
    dtrmm: CapsuleType
    dtrmv: CapsuleType
    dtrsm: CapsuleType
    dtrsv: CapsuleType
    dzasum: CapsuleType
    dznrm2: CapsuleType
    icamax: CapsuleType
    idamax: CapsuleType
    isamax: CapsuleType
    izamax: CapsuleType
    lsame: CapsuleType
    sasum: CapsuleType
    saxpy: CapsuleType
    scasum: CapsuleType
    scnrm2: CapsuleType
    scopy: CapsuleType
    sdot: CapsuleType
    sdsdot: CapsuleType
    sgbmv: CapsuleType
    sgemm: CapsuleType
    sgemv: CapsuleType
    sger: CapsuleType
    snrm2: CapsuleType
    srot: CapsuleType
    srotg: CapsuleType
    srotm: CapsuleType
    srotmg: CapsuleType
    ssbmv: CapsuleType
    sscal: CapsuleType
    sspmv: CapsuleType
    sspr: CapsuleType
    sspr2: CapsuleType
    sswap: CapsuleType
    ssymm: CapsuleType
    ssymv: CapsuleType
    ssyr: CapsuleType
    ssyr2: CapsuleType
    ssyr2k: CapsuleType
    ssyrk: CapsuleType
    stbmv: CapsuleType
    stbsv: CapsuleType
    stpmv: CapsuleType
    stpsv: CapsuleType
    strmm: CapsuleType
    strmv: CapsuleType
    strsm: CapsuleType
    strsv: CapsuleType
    zaxpy: CapsuleType
    zcopy: CapsuleType
    zdotc: CapsuleType
    zdotu: CapsuleType
    zdrot: CapsuleType
    zdscal: CapsuleType
    zgbmv: CapsuleType
    zgemm: CapsuleType
    zgemv: CapsuleType
    zgerc: CapsuleType
    zgeru: CapsuleType
    zhbmv: CapsuleType
    zhemm: CapsuleType
    zhemv: CapsuleType
    zher: CapsuleType
    zher2: CapsuleType
    zher2k: CapsuleType
    zherk: CapsuleType
    zhpmv: CapsuleType
    zhpr: CapsuleType
    zhpr2: CapsuleType
    zrotg: CapsuleType
    zscal: CapsuleType
    zswap: CapsuleType
    zsymm: CapsuleType
    zsyr2k: CapsuleType
    zsyrk: CapsuleType
    ztbmv: CapsuleType
    ztbsv: CapsuleType
    ztpmv: CapsuleType
    ztpsv: CapsuleType
    ztrmm: CapsuleType
    ztrmv: CapsuleType
    ztrsm: CapsuleType
    ztrsv: CapsuleType

__pyx_capi__: Final[_CApiDict]
__test__: Final[Mapping[Never, Never]]
