from collections.abc import Mapping
from typing import Final, TypedDict, type_check_only
from typing_extensions import CapsuleType, Never

# TODO: Use `ReadOnly[CapsuleType]` once mypy supports PEP 705: https://github.com/python/mypy/pull/17644
@type_check_only
class _CApiDict(TypedDict):
    cbbcsd: CapsuleType
    cbdsqr: CapsuleType
    cgbbrd: CapsuleType
    cgbcon: CapsuleType
    cgbequ: CapsuleType
    cgbequb: CapsuleType
    cgbrfs: CapsuleType
    cgbsv: CapsuleType
    cgbsvx: CapsuleType
    cgbtf2: CapsuleType
    cgbtrf: CapsuleType
    cgbtrs: CapsuleType
    cgebak: CapsuleType
    cgebal: CapsuleType
    cgebd2: CapsuleType
    cgebrd: CapsuleType
    cgecon: CapsuleType
    cgeequ: CapsuleType
    cgeequb: CapsuleType
    cgees: CapsuleType
    cgeesx: CapsuleType
    cgeev: CapsuleType
    cgeevx: CapsuleType
    cgehd2: CapsuleType
    cgehrd: CapsuleType
    cgelq2: CapsuleType
    cgelqf: CapsuleType
    cgels: CapsuleType
    cgelsd: CapsuleType
    cgelss: CapsuleType
    cgelsy: CapsuleType
    cgemqrt: CapsuleType
    cgeql2: CapsuleType
    cgeqlf: CapsuleType
    cgeqp3: CapsuleType
    cgeqr2: CapsuleType
    cgeqr2p: CapsuleType
    cgeqrf: CapsuleType
    cgeqrfp: CapsuleType
    cgeqrt: CapsuleType
    cgeqrt2: CapsuleType
    cgeqrt3: CapsuleType
    cgerfs: CapsuleType
    cgerq2: CapsuleType
    cgerqf: CapsuleType
    cgesc2: CapsuleType
    cgesdd: CapsuleType
    cgesv: CapsuleType
    cgesvd: CapsuleType
    cgesvx: CapsuleType
    cgetc2: CapsuleType
    cgetf2: CapsuleType
    cgetrf: CapsuleType
    cgetri: CapsuleType
    cgetrs: CapsuleType
    cggbak: CapsuleType
    cggbal: CapsuleType
    cgges: CapsuleType
    cggesx: CapsuleType
    cggev: CapsuleType
    cggevx: CapsuleType
    cggglm: CapsuleType
    cgghrd: CapsuleType
    cgglse: CapsuleType
    cggqrf: CapsuleType
    cggrqf: CapsuleType
    cgtcon: CapsuleType
    cgtrfs: CapsuleType
    cgtsv: CapsuleType
    cgtsvx: CapsuleType
    cgttrf: CapsuleType
    cgttrs: CapsuleType
    cgtts2: CapsuleType
    chbev: CapsuleType
    chbevd: CapsuleType
    chbevx: CapsuleType
    chbgst: CapsuleType
    chbgv: CapsuleType
    chbgvd: CapsuleType
    chbgvx: CapsuleType
    chbtrd: CapsuleType
    checon: CapsuleType
    cheequb: CapsuleType
    cheev: CapsuleType
    cheevd: CapsuleType
    cheevr: CapsuleType
    cheevx: CapsuleType
    chegs2: CapsuleType
    chegst: CapsuleType
    chegv: CapsuleType
    chegvd: CapsuleType
    chegvx: CapsuleType
    cherfs: CapsuleType
    chesv: CapsuleType
    chesvx: CapsuleType
    cheswapr: CapsuleType
    chetd2: CapsuleType
    chetf2: CapsuleType
    chetrd: CapsuleType
    chetrf: CapsuleType
    chetri: CapsuleType
    chetri2: CapsuleType
    chetri2x: CapsuleType
    chetrs: CapsuleType
    chetrs2: CapsuleType
    chfrk: CapsuleType
    chgeqz: CapsuleType
    chla_transtype: CapsuleType
    chpcon: CapsuleType
    chpev: CapsuleType
    chpevd: CapsuleType
    chpevx: CapsuleType
    chpgst: CapsuleType
    chpgv: CapsuleType
    chpgvd: CapsuleType
    chpgvx: CapsuleType
    chprfs: CapsuleType
    chpsv: CapsuleType
    chpsvx: CapsuleType
    chptrd: CapsuleType
    chptrf: CapsuleType
    chptri: CapsuleType
    chptrs: CapsuleType
    chsein: CapsuleType
    chseqr: CapsuleType
    clabrd: CapsuleType
    clacgv: CapsuleType
    clacn2: CapsuleType
    clacon: CapsuleType
    clacp2: CapsuleType
    clacpy: CapsuleType
    clacrm: CapsuleType
    clacrt: CapsuleType
    cladiv: CapsuleType
    claed0: CapsuleType
    claed7: CapsuleType
    claed8: CapsuleType
    claein: CapsuleType
    claesy: CapsuleType
    claev2: CapsuleType
    clag2z: CapsuleType
    clags2: CapsuleType
    clagtm: CapsuleType
    clahef: CapsuleType
    clahqr: CapsuleType
    clahr2: CapsuleType
    claic1: CapsuleType
    clals0: CapsuleType
    clalsa: CapsuleType
    clalsd: CapsuleType
    clangb: CapsuleType
    clange: CapsuleType
    clangt: CapsuleType
    clanhb: CapsuleType
    clanhe: CapsuleType
    clanhf: CapsuleType
    clanhp: CapsuleType
    clanhs: CapsuleType
    clanht: CapsuleType
    clansb: CapsuleType
    clansp: CapsuleType
    clansy: CapsuleType
    clantb: CapsuleType
    clantp: CapsuleType
    clantr: CapsuleType
    clapll: CapsuleType
    clapmr: CapsuleType
    clapmt: CapsuleType
    claqgb: CapsuleType
    claqge: CapsuleType
    claqhb: CapsuleType
    claqhe: CapsuleType
    claqhp: CapsuleType
    claqp2: CapsuleType
    claqps: CapsuleType
    claqr0: CapsuleType
    claqr1: CapsuleType
    claqr2: CapsuleType
    claqr3: CapsuleType
    claqr4: CapsuleType
    claqr5: CapsuleType
    claqsb: CapsuleType
    claqsp: CapsuleType
    claqsy: CapsuleType
    clar1v: CapsuleType
    clar2v: CapsuleType
    clarcm: CapsuleType
    clarf: CapsuleType
    clarfb: CapsuleType
    clarfg: CapsuleType
    clarfgp: CapsuleType
    clarft: CapsuleType
    clarfx: CapsuleType
    clargv: CapsuleType
    clarnv: CapsuleType
    clarrv: CapsuleType
    clartg: CapsuleType
    clartv: CapsuleType
    clarz: CapsuleType
    clarzb: CapsuleType
    clarzt: CapsuleType
    clascl: CapsuleType
    claset: CapsuleType
    clasr: CapsuleType
    classq: CapsuleType
    claswp: CapsuleType
    clasyf: CapsuleType
    clatbs: CapsuleType
    clatdf: CapsuleType
    clatps: CapsuleType
    clatrd: CapsuleType
    clatrs: CapsuleType
    clatrz: CapsuleType
    clauu2: CapsuleType
    clauum: CapsuleType
    cpbcon: CapsuleType
    cpbequ: CapsuleType
    cpbrfs: CapsuleType
    cpbstf: CapsuleType
    cpbsv: CapsuleType
    cpbsvx: CapsuleType
    cpbtf2: CapsuleType
    cpbtrf: CapsuleType
    cpbtrs: CapsuleType
    cpftrf: CapsuleType
    cpftri: CapsuleType
    cpftrs: CapsuleType
    cpocon: CapsuleType
    cpoequ: CapsuleType
    cpoequb: CapsuleType
    cporfs: CapsuleType
    cposv: CapsuleType
    cposvx: CapsuleType
    cpotf2: CapsuleType
    cpotrf: CapsuleType
    cpotri: CapsuleType
    cpotrs: CapsuleType
    cppcon: CapsuleType
    cppequ: CapsuleType
    cpprfs: CapsuleType
    cppsv: CapsuleType
    cppsvx: CapsuleType
    cpptrf: CapsuleType
    cpptri: CapsuleType
    cpptrs: CapsuleType
    cpstf2: CapsuleType
    cpstrf: CapsuleType
    cptcon: CapsuleType
    cpteqr: CapsuleType
    cptrfs: CapsuleType
    cptsv: CapsuleType
    cptsvx: CapsuleType
    cpttrf: CapsuleType
    cpttrs: CapsuleType
    cptts2: CapsuleType
    crot: CapsuleType
    cspcon: CapsuleType
    cspmv: CapsuleType
    cspr: CapsuleType
    csprfs: CapsuleType
    cspsv: CapsuleType
    cspsvx: CapsuleType
    csptrf: CapsuleType
    csptri: CapsuleType
    csptrs: CapsuleType
    csrscl: CapsuleType
    cstedc: CapsuleType
    cstegr: CapsuleType
    cstein: CapsuleType
    cstemr: CapsuleType
    csteqr: CapsuleType
    csycon: CapsuleType
    csyconv: CapsuleType
    csyequb: CapsuleType
    csymv: CapsuleType
    csyr: CapsuleType
    csyrfs: CapsuleType
    csysv: CapsuleType
    csysvx: CapsuleType
    csyswapr: CapsuleType
    csytf2: CapsuleType
    csytrf: CapsuleType
    csytri: CapsuleType
    csytri2: CapsuleType
    csytri2x: CapsuleType
    csytrs: CapsuleType
    csytrs2: CapsuleType
    ctbcon: CapsuleType
    ctbrfs: CapsuleType
    ctbtrs: CapsuleType
    ctfsm: CapsuleType
    ctftri: CapsuleType
    ctfttp: CapsuleType
    ctfttr: CapsuleType
    ctgevc: CapsuleType
    ctgex2: CapsuleType
    ctgexc: CapsuleType
    ctgsen: CapsuleType
    ctgsja: CapsuleType
    ctgsna: CapsuleType
    ctgsy2: CapsuleType
    ctgsyl: CapsuleType
    ctpcon: CapsuleType
    ctpmqrt: CapsuleType
    ctpqrt: CapsuleType
    ctpqrt2: CapsuleType
    ctprfb: CapsuleType
    ctprfs: CapsuleType
    ctptri: CapsuleType
    ctptrs: CapsuleType
    ctpttf: CapsuleType
    ctpttr: CapsuleType
    ctrcon: CapsuleType
    ctrevc: CapsuleType
    ctrexc: CapsuleType
    ctrrfs: CapsuleType
    ctrsen: CapsuleType
    ctrsna: CapsuleType
    ctrsyl: CapsuleType
    ctrti2: CapsuleType
    ctrtri: CapsuleType
    ctrtrs: CapsuleType
    ctrttf: CapsuleType
    ctrttp: CapsuleType
    ctzrzf: CapsuleType
    cunbdb: CapsuleType
    cuncsd: CapsuleType
    cung2l: CapsuleType
    cung2r: CapsuleType
    cungbr: CapsuleType
    cunghr: CapsuleType
    cungl2: CapsuleType
    cunglq: CapsuleType
    cungql: CapsuleType
    cungqr: CapsuleType
    cungr2: CapsuleType
    cungrq: CapsuleType
    cungtr: CapsuleType
    cunm2l: CapsuleType
    cunm2r: CapsuleType
    cunmbr: CapsuleType
    cunmhr: CapsuleType
    cunml2: CapsuleType
    cunmlq: CapsuleType
    cunmql: CapsuleType
    cunmqr: CapsuleType
    cunmr2: CapsuleType
    cunmr3: CapsuleType
    cunmrq: CapsuleType
    cunmrz: CapsuleType
    cunmtr: CapsuleType
    cupgtr: CapsuleType
    cupmtr: CapsuleType
    dbbcsd: CapsuleType
    dbdsdc: CapsuleType
    dbdsqr: CapsuleType
    ddisna: CapsuleType
    dgbbrd: CapsuleType
    dgbcon: CapsuleType
    dgbequ: CapsuleType
    dgbequb: CapsuleType
    dgbrfs: CapsuleType
    dgbsv: CapsuleType
    dgbsvx: CapsuleType
    dgbtf2: CapsuleType
    dgbtrf: CapsuleType
    dgbtrs: CapsuleType
    dgebak: CapsuleType
    dgebal: CapsuleType
    dgebd2: CapsuleType
    dgebrd: CapsuleType
    dgecon: CapsuleType
    dgeequ: CapsuleType
    dgeequb: CapsuleType
    dgees: CapsuleType
    dgeesx: CapsuleType
    dgeev: CapsuleType
    dgeevx: CapsuleType
    dgehd2: CapsuleType
    dgehrd: CapsuleType
    dgejsv: CapsuleType
    dgelq2: CapsuleType
    dgelqf: CapsuleType
    dgels: CapsuleType
    dgelsd: CapsuleType
    dgelss: CapsuleType
    dgelsy: CapsuleType
    dgemqrt: CapsuleType
    dgeql2: CapsuleType
    dgeqlf: CapsuleType
    dgeqp3: CapsuleType
    dgeqr2: CapsuleType
    dgeqr2p: CapsuleType
    dgeqrf: CapsuleType
    dgeqrfp: CapsuleType
    dgeqrt: CapsuleType
    dgeqrt2: CapsuleType
    dgeqrt3: CapsuleType
    dgerfs: CapsuleType
    dgerq2: CapsuleType
    dgerqf: CapsuleType
    dgesc2: CapsuleType
    dgesdd: CapsuleType
    dgesv: CapsuleType
    dgesvd: CapsuleType
    dgesvj: CapsuleType
    dgesvx: CapsuleType
    dgetc2: CapsuleType
    dgetf2: CapsuleType
    dgetrf: CapsuleType
    dgetri: CapsuleType
    dgetrs: CapsuleType
    dggbak: CapsuleType
    dggbal: CapsuleType
    dgges: CapsuleType
    dggesx: CapsuleType
    dggev: CapsuleType
    dggevx: CapsuleType
    dggglm: CapsuleType
    dgghrd: CapsuleType
    dgglse: CapsuleType
    dggqrf: CapsuleType
    dggrqf: CapsuleType
    dgsvj0: CapsuleType
    dgsvj1: CapsuleType
    dgtcon: CapsuleType
    dgtrfs: CapsuleType
    dgtsv: CapsuleType
    dgtsvx: CapsuleType
    dgttrf: CapsuleType
    dgttrs: CapsuleType
    dgtts2: CapsuleType
    dhgeqz: CapsuleType
    dhsein: CapsuleType
    dhseqr: CapsuleType
    disnan: CapsuleType
    dlabad: CapsuleType
    dlabrd: CapsuleType
    dlacn2: CapsuleType
    dlacon: CapsuleType
    dlacpy: CapsuleType
    dladiv: CapsuleType
    dlae2: CapsuleType
    dlaebz: CapsuleType
    dlaed0: CapsuleType
    dlaed1: CapsuleType
    dlaed2: CapsuleType
    dlaed3: CapsuleType
    dlaed4: CapsuleType
    dlaed5: CapsuleType
    dlaed6: CapsuleType
    dlaed7: CapsuleType
    dlaed8: CapsuleType
    dlaed9: CapsuleType
    dlaeda: CapsuleType
    dlaein: CapsuleType
    dlaev2: CapsuleType
    dlaexc: CapsuleType
    dlag2: CapsuleType
    dlag2s: CapsuleType
    dlags2: CapsuleType
    dlagtf: CapsuleType
    dlagtm: CapsuleType
    dlagts: CapsuleType
    dlagv2: CapsuleType
    dlahqr: CapsuleType
    dlahr2: CapsuleType
    dlaic1: CapsuleType
    dlaln2: CapsuleType
    dlals0: CapsuleType
    dlalsa: CapsuleType
    dlalsd: CapsuleType
    dlamch: CapsuleType
    dlamrg: CapsuleType
    dlaneg: CapsuleType
    dlangb: CapsuleType
    dlange: CapsuleType
    dlangt: CapsuleType
    dlanhs: CapsuleType
    dlansb: CapsuleType
    dlansf: CapsuleType
    dlansp: CapsuleType
    dlanst: CapsuleType
    dlansy: CapsuleType
    dlantb: CapsuleType
    dlantp: CapsuleType
    dlantr: CapsuleType
    dlanv2: CapsuleType
    dlapll: CapsuleType
    dlapmr: CapsuleType
    dlapmt: CapsuleType
    dlapy2: CapsuleType
    dlapy3: CapsuleType
    dlaqgb: CapsuleType
    dlaqge: CapsuleType
    dlaqp2: CapsuleType
    dlaqps: CapsuleType
    dlaqr0: CapsuleType
    dlaqr1: CapsuleType
    dlaqr2: CapsuleType
    dlaqr3: CapsuleType
    dlaqr4: CapsuleType
    dlaqr5: CapsuleType
    dlaqsb: CapsuleType
    dlaqsp: CapsuleType
    dlaqsy: CapsuleType
    dlaqtr: CapsuleType
    dlar1v: CapsuleType
    dlar2v: CapsuleType
    dlarf: CapsuleType
    dlarfb: CapsuleType
    dlarfg: CapsuleType
    dlarfgp: CapsuleType
    dlarft: CapsuleType
    dlarfx: CapsuleType
    dlargv: CapsuleType
    dlarnv: CapsuleType
    dlarra: CapsuleType
    dlarrb: CapsuleType
    dlarrc: CapsuleType
    dlarrd: CapsuleType
    dlarre: CapsuleType
    dlarrf: CapsuleType
    dlarrj: CapsuleType
    dlarrk: CapsuleType
    dlarrr: CapsuleType
    dlarrv: CapsuleType
    dlartg: CapsuleType
    dlartgp: CapsuleType
    dlartgs: CapsuleType
    dlartv: CapsuleType
    dlaruv: CapsuleType
    dlarz: CapsuleType
    dlarzb: CapsuleType
    dlarzt: CapsuleType
    dlas2: CapsuleType
    dlascl: CapsuleType
    dlasd0: CapsuleType
    dlasd1: CapsuleType
    dlasd2: CapsuleType
    dlasd3: CapsuleType
    dlasd4: CapsuleType
    dlasd5: CapsuleType
    dlasd6: CapsuleType
    dlasd7: CapsuleType
    dlasd8: CapsuleType
    dlasda: CapsuleType
    dlasdq: CapsuleType
    dlasdt: CapsuleType
    dlaset: CapsuleType
    dlasq1: CapsuleType
    dlasq2: CapsuleType
    dlasq3: CapsuleType
    dlasq4: CapsuleType
    dlasq6: CapsuleType
    dlasr: CapsuleType
    dlasrt: CapsuleType
    dlassq: CapsuleType
    dlasv2: CapsuleType
    dlaswp: CapsuleType
    dlasy2: CapsuleType
    dlasyf: CapsuleType
    dlat2s: CapsuleType
    dlatbs: CapsuleType
    dlatdf: CapsuleType
    dlatps: CapsuleType
    dlatrd: CapsuleType
    dlatrs: CapsuleType
    dlatrz: CapsuleType
    dlauu2: CapsuleType
    dlauum: CapsuleType
    dopgtr: CapsuleType
    dopmtr: CapsuleType
    dorbdb: CapsuleType
    dorcsd: CapsuleType
    dorg2l: CapsuleType
    dorg2r: CapsuleType
    dorgbr: CapsuleType
    dorghr: CapsuleType
    dorgl2: CapsuleType
    dorglq: CapsuleType
    dorgql: CapsuleType
    dorgqr: CapsuleType
    dorgr2: CapsuleType
    dorgrq: CapsuleType
    dorgtr: CapsuleType
    dorm2l: CapsuleType
    dorm2r: CapsuleType
    dormbr: CapsuleType
    dormhr: CapsuleType
    dorml2: CapsuleType
    dormlq: CapsuleType
    dormql: CapsuleType
    dormqr: CapsuleType
    dormr2: CapsuleType
    dormr3: CapsuleType
    dormrq: CapsuleType
    dormrz: CapsuleType
    dormtr: CapsuleType
    dpbcon: CapsuleType
    dpbequ: CapsuleType
    dpbrfs: CapsuleType
    dpbstf: CapsuleType
    dpbsv: CapsuleType
    dpbsvx: CapsuleType
    dpbtf2: CapsuleType
    dpbtrf: CapsuleType
    dpbtrs: CapsuleType
    dpftrf: CapsuleType
    dpftri: CapsuleType
    dpftrs: CapsuleType
    dpocon: CapsuleType
    dpoequ: CapsuleType
    dpoequb: CapsuleType
    dporfs: CapsuleType
    dposv: CapsuleType
    dposvx: CapsuleType
    dpotf2: CapsuleType
    dpotrf: CapsuleType
    dpotri: CapsuleType
    dpotrs: CapsuleType
    dppcon: CapsuleType
    dppequ: CapsuleType
    dpprfs: CapsuleType
    dppsv: CapsuleType
    dppsvx: CapsuleType
    dpptrf: CapsuleType
    dpptri: CapsuleType
    dpptrs: CapsuleType
    dpstf2: CapsuleType
    dpstrf: CapsuleType
    dptcon: CapsuleType
    dpteqr: CapsuleType
    dptrfs: CapsuleType
    dptsv: CapsuleType
    dptsvx: CapsuleType
    dpttrf: CapsuleType
    dpttrs: CapsuleType
    dptts2: CapsuleType
    drscl: CapsuleType
    dsbev: CapsuleType
    dsbevd: CapsuleType
    dsbevx: CapsuleType
    dsbgst: CapsuleType
    dsbgv: CapsuleType
    dsbgvd: CapsuleType
    dsbgvx: CapsuleType
    dsbtrd: CapsuleType
    dsfrk: CapsuleType
    dsgesv: CapsuleType
    dspcon: CapsuleType
    dspev: CapsuleType
    dspevd: CapsuleType
    dspevx: CapsuleType
    dspgst: CapsuleType
    dspgv: CapsuleType
    dspgvd: CapsuleType
    dspgvx: CapsuleType
    dsposv: CapsuleType
    dsprfs: CapsuleType
    dspsv: CapsuleType
    dspsvx: CapsuleType
    dsptrd: CapsuleType
    dsptrf: CapsuleType
    dsptri: CapsuleType
    dsptrs: CapsuleType
    dstebz: CapsuleType
    dstedc: CapsuleType
    dstegr: CapsuleType
    dstein: CapsuleType
    dstemr: CapsuleType
    dsteqr: CapsuleType
    dsterf: CapsuleType
    dstev: CapsuleType
    dstevd: CapsuleType
    dstevr: CapsuleType
    dstevx: CapsuleType
    dsycon: CapsuleType
    dsyconv: CapsuleType
    dsyequb: CapsuleType
    dsyev: CapsuleType
    dsyevd: CapsuleType
    dsyevr: CapsuleType
    dsyevx: CapsuleType
    dsygs2: CapsuleType
    dsygst: CapsuleType
    dsygv: CapsuleType
    dsygvd: CapsuleType
    dsygvx: CapsuleType
    dsyrfs: CapsuleType
    dsysv: CapsuleType
    dsysvx: CapsuleType
    dsyswapr: CapsuleType
    dsytd2: CapsuleType
    dsytf2: CapsuleType
    dsytrd: CapsuleType
    dsytrf: CapsuleType
    dsytri: CapsuleType
    dsytri2: CapsuleType
    dsytri2x: CapsuleType
    dsytrs: CapsuleType
    dsytrs2: CapsuleType
    dtbcon: CapsuleType
    dtbrfs: CapsuleType
    dtbtrs: CapsuleType
    dtfsm: CapsuleType
    dtftri: CapsuleType
    dtfttp: CapsuleType
    dtfttr: CapsuleType
    dtgevc: CapsuleType
    dtgex2: CapsuleType
    dtgexc: CapsuleType
    dtgsen: CapsuleType
    dtgsja: CapsuleType
    dtgsna: CapsuleType
    dtgsy2: CapsuleType
    dtgsyl: CapsuleType
    dtpcon: CapsuleType
    dtpmqrt: CapsuleType
    dtpqrt: CapsuleType
    dtpqrt2: CapsuleType
    dtprfb: CapsuleType
    dtprfs: CapsuleType
    dtptri: CapsuleType
    dtptrs: CapsuleType
    dtpttf: CapsuleType
    dtpttr: CapsuleType
    dtrcon: CapsuleType
    dtrevc: CapsuleType
    dtrexc: CapsuleType
    dtrrfs: CapsuleType
    dtrsen: CapsuleType
    dtrsna: CapsuleType
    dtrsyl: CapsuleType
    dtrti2: CapsuleType
    dtrtri: CapsuleType
    dtrtrs: CapsuleType
    dtrttf: CapsuleType
    dtrttp: CapsuleType
    dtzrzf: CapsuleType
    dzsum1: CapsuleType
    icmax1: CapsuleType
    ieeeck: CapsuleType
    ilaclc: CapsuleType
    ilaclr: CapsuleType
    iladiag: CapsuleType
    iladlc: CapsuleType
    iladlr: CapsuleType
    ilaprec: CapsuleType
    ilaslc: CapsuleType
    ilaslr: CapsuleType
    ilatrans: CapsuleType
    ilauplo: CapsuleType
    ilaver: CapsuleType
    ilazlc: CapsuleType
    ilazlr: CapsuleType
    izmax1: CapsuleType
    sbbcsd: CapsuleType
    sbdsdc: CapsuleType
    sbdsqr: CapsuleType
    scsum1: CapsuleType
    sdisna: CapsuleType
    sgbbrd: CapsuleType
    sgbcon: CapsuleType
    sgbequ: CapsuleType
    sgbequb: CapsuleType
    sgbrfs: CapsuleType
    sgbsv: CapsuleType
    sgbsvx: CapsuleType
    sgbtf2: CapsuleType
    sgbtrf: CapsuleType
    sgbtrs: CapsuleType
    sgebak: CapsuleType
    sgebal: CapsuleType
    sgebd2: CapsuleType
    sgebrd: CapsuleType
    sgecon: CapsuleType
    sgeequ: CapsuleType
    sgeequb: CapsuleType
    sgees: CapsuleType
    sgeesx: CapsuleType
    sgeev: CapsuleType
    sgeevx: CapsuleType
    sgehd2: CapsuleType
    sgehrd: CapsuleType
    sgejsv: CapsuleType
    sgelq2: CapsuleType
    sgelqf: CapsuleType
    sgels: CapsuleType
    sgelsd: CapsuleType
    sgelss: CapsuleType
    sgelsy: CapsuleType
    sgemqrt: CapsuleType
    sgeql2: CapsuleType
    sgeqlf: CapsuleType
    sgeqp3: CapsuleType
    sgeqr2: CapsuleType
    sgeqr2p: CapsuleType
    sgeqrf: CapsuleType
    sgeqrfp: CapsuleType
    sgeqrt: CapsuleType
    sgeqrt2: CapsuleType
    sgeqrt3: CapsuleType
    sgerfs: CapsuleType
    sgerq2: CapsuleType
    sgerqf: CapsuleType
    sgesc2: CapsuleType
    sgesdd: CapsuleType
    sgesv: CapsuleType
    sgesvd: CapsuleType
    sgesvj: CapsuleType
    sgesvx: CapsuleType
    sgetc2: CapsuleType
    sgetf2: CapsuleType
    sgetrf: CapsuleType
    sgetri: CapsuleType
    sgetrs: CapsuleType
    sggbak: CapsuleType
    sggbal: CapsuleType
    sgges: CapsuleType
    sggesx: CapsuleType
    sggev: CapsuleType
    sggevx: CapsuleType
    sggglm: CapsuleType
    sgghrd: CapsuleType
    sgglse: CapsuleType
    sggqrf: CapsuleType
    sggrqf: CapsuleType
    sgsvj0: CapsuleType
    sgsvj1: CapsuleType
    sgtcon: CapsuleType
    sgtrfs: CapsuleType
    sgtsv: CapsuleType
    sgtsvx: CapsuleType
    sgttrf: CapsuleType
    sgttrs: CapsuleType
    sgtts2: CapsuleType
    shgeqz: CapsuleType
    shsein: CapsuleType
    shseqr: CapsuleType
    slabad: CapsuleType
    slabrd: CapsuleType
    slacn2: CapsuleType
    slacon: CapsuleType
    slacpy: CapsuleType
    sladiv: CapsuleType
    slae2: CapsuleType
    slaebz: CapsuleType
    slaed0: CapsuleType
    slaed1: CapsuleType
    slaed2: CapsuleType
    slaed3: CapsuleType
    slaed4: CapsuleType
    slaed5: CapsuleType
    slaed6: CapsuleType
    slaed7: CapsuleType
    slaed8: CapsuleType
    slaed9: CapsuleType
    slaeda: CapsuleType
    slaein: CapsuleType
    slaev2: CapsuleType
    slaexc: CapsuleType
    slag2: CapsuleType
    slag2d: CapsuleType
    slags2: CapsuleType
    slagtf: CapsuleType
    slagtm: CapsuleType
    slagts: CapsuleType
    slagv2: CapsuleType
    slahqr: CapsuleType
    slahr2: CapsuleType
    slaic1: CapsuleType
    slaln2: CapsuleType
    slals0: CapsuleType
    slalsa: CapsuleType
    slalsd: CapsuleType
    slamch: CapsuleType
    slamrg: CapsuleType
    slangb: CapsuleType
    slange: CapsuleType
    slangt: CapsuleType
    slanhs: CapsuleType
    slansb: CapsuleType
    slansf: CapsuleType
    slansp: CapsuleType
    slanst: CapsuleType
    slansy: CapsuleType
    slantb: CapsuleType
    slantp: CapsuleType
    slantr: CapsuleType
    slanv2: CapsuleType
    slapll: CapsuleType
    slapmr: CapsuleType
    slapmt: CapsuleType
    slapy2: CapsuleType
    slapy3: CapsuleType
    slaqgb: CapsuleType
    slaqge: CapsuleType
    slaqp2: CapsuleType
    slaqps: CapsuleType
    slaqr0: CapsuleType
    slaqr1: CapsuleType
    slaqr2: CapsuleType
    slaqr3: CapsuleType
    slaqr4: CapsuleType
    slaqr5: CapsuleType
    slaqsb: CapsuleType
    slaqsp: CapsuleType
    slaqsy: CapsuleType
    slaqtr: CapsuleType
    slar1v: CapsuleType
    slar2v: CapsuleType
    slarf: CapsuleType
    slarfb: CapsuleType
    slarfg: CapsuleType
    slarfgp: CapsuleType
    slarft: CapsuleType
    slarfx: CapsuleType
    slargv: CapsuleType
    slarnv: CapsuleType
    slarra: CapsuleType
    slarrb: CapsuleType
    slarrc: CapsuleType
    slarrd: CapsuleType
    slarre: CapsuleType
    slarrf: CapsuleType
    slarrj: CapsuleType
    slarrk: CapsuleType
    slarrr: CapsuleType
    slarrv: CapsuleType
    slartg: CapsuleType
    slartgp: CapsuleType
    slartgs: CapsuleType
    slartv: CapsuleType
    slaruv: CapsuleType
    slarz: CapsuleType
    slarzb: CapsuleType
    slarzt: CapsuleType
    slas2: CapsuleType
    slascl: CapsuleType
    slasd0: CapsuleType
    slasd1: CapsuleType
    slasd2: CapsuleType
    slasd3: CapsuleType
    slasd4: CapsuleType
    slasd5: CapsuleType
    slasd6: CapsuleType
    slasd7: CapsuleType
    slasd8: CapsuleType
    slasda: CapsuleType
    slasdq: CapsuleType
    slasdt: CapsuleType
    slaset: CapsuleType
    slasq1: CapsuleType
    slasq2: CapsuleType
    slasq3: CapsuleType
    slasq4: CapsuleType
    slasq6: CapsuleType
    slasr: CapsuleType
    slasrt: CapsuleType
    slassq: CapsuleType
    slasv2: CapsuleType
    slaswp: CapsuleType
    slasy2: CapsuleType
    slasyf: CapsuleType
    slatbs: CapsuleType
    slatdf: CapsuleType
    slatps: CapsuleType
    slatrd: CapsuleType
    slatrs: CapsuleType
    slatrz: CapsuleType
    slauu2: CapsuleType
    slauum: CapsuleType
    sopgtr: CapsuleType
    sopmtr: CapsuleType
    sorbdb: CapsuleType
    sorcsd: CapsuleType
    sorg2l: CapsuleType
    sorg2r: CapsuleType
    sorgbr: CapsuleType
    sorghr: CapsuleType
    sorgl2: CapsuleType
    sorglq: CapsuleType
    sorgql: CapsuleType
    sorgqr: CapsuleType
    sorgr2: CapsuleType
    sorgrq: CapsuleType
    sorgtr: CapsuleType
    sorm2l: CapsuleType
    sorm2r: CapsuleType
    sormbr: CapsuleType
    sormhr: CapsuleType
    sorml2: CapsuleType
    sormlq: CapsuleType
    sormql: CapsuleType
    sormqr: CapsuleType
    sormr2: CapsuleType
    sormr3: CapsuleType
    sormrq: CapsuleType
    sormrz: CapsuleType
    sormtr: CapsuleType
    spbcon: CapsuleType
    spbequ: CapsuleType
    spbrfs: CapsuleType
    spbstf: CapsuleType
    spbsv: CapsuleType
    spbsvx: CapsuleType
    spbtf2: CapsuleType
    spbtrf: CapsuleType
    spbtrs: CapsuleType
    spftrf: CapsuleType
    spftri: CapsuleType
    spftrs: CapsuleType
    spocon: CapsuleType
    spoequ: CapsuleType
    spoequb: CapsuleType
    sporfs: CapsuleType
    sposv: CapsuleType
    sposvx: CapsuleType
    spotf2: CapsuleType
    spotrf: CapsuleType
    spotri: CapsuleType
    spotrs: CapsuleType
    sppcon: CapsuleType
    sppequ: CapsuleType
    spprfs: CapsuleType
    sppsv: CapsuleType
    sppsvx: CapsuleType
    spptrf: CapsuleType
    spptri: CapsuleType
    spptrs: CapsuleType
    spstf2: CapsuleType
    spstrf: CapsuleType
    sptcon: CapsuleType
    spteqr: CapsuleType
    sptrfs: CapsuleType
    sptsv: CapsuleType
    sptsvx: CapsuleType
    spttrf: CapsuleType
    spttrs: CapsuleType
    sptts2: CapsuleType
    srscl: CapsuleType
    ssbev: CapsuleType
    ssbevd: CapsuleType
    ssbevx: CapsuleType
    ssbgst: CapsuleType
    ssbgv: CapsuleType
    ssbgvd: CapsuleType
    ssbgvx: CapsuleType
    ssbtrd: CapsuleType
    ssfrk: CapsuleType
    sspcon: CapsuleType
    sspev: CapsuleType
    sspevd: CapsuleType
    sspevx: CapsuleType
    sspgst: CapsuleType
    sspgv: CapsuleType
    sspgvd: CapsuleType
    sspgvx: CapsuleType
    ssprfs: CapsuleType
    sspsv: CapsuleType
    sspsvx: CapsuleType
    ssptrd: CapsuleType
    ssptrf: CapsuleType
    ssptri: CapsuleType
    ssptrs: CapsuleType
    sstebz: CapsuleType
    sstedc: CapsuleType
    sstegr: CapsuleType
    sstein: CapsuleType
    sstemr: CapsuleType
    ssteqr: CapsuleType
    ssterf: CapsuleType
    sstev: CapsuleType
    sstevd: CapsuleType
    sstevr: CapsuleType
    sstevx: CapsuleType
    ssycon: CapsuleType
    ssyconv: CapsuleType
    ssyequb: CapsuleType
    ssyev: CapsuleType
    ssyevd: CapsuleType
    ssyevr: CapsuleType
    ssyevx: CapsuleType
    ssygs2: CapsuleType
    ssygst: CapsuleType
    ssygv: CapsuleType
    ssygvd: CapsuleType
    ssygvx: CapsuleType
    ssyrfs: CapsuleType
    ssysv: CapsuleType
    ssysvx: CapsuleType
    ssyswapr: CapsuleType
    ssytd2: CapsuleType
    ssytf2: CapsuleType
    ssytrd: CapsuleType
    ssytrf: CapsuleType
    ssytri: CapsuleType
    ssytri2: CapsuleType
    ssytri2x: CapsuleType
    ssytrs: CapsuleType
    ssytrs2: CapsuleType
    stbcon: CapsuleType
    stbrfs: CapsuleType
    stbtrs: CapsuleType
    stfsm: CapsuleType
    stftri: CapsuleType
    stfttp: CapsuleType
    stfttr: CapsuleType
    stgevc: CapsuleType
    stgex2: CapsuleType
    stgexc: CapsuleType
    stgsen: CapsuleType
    stgsja: CapsuleType
    stgsna: CapsuleType
    stgsy2: CapsuleType
    stgsyl: CapsuleType
    stpcon: CapsuleType
    stpmqrt: CapsuleType
    stpqrt: CapsuleType
    stpqrt2: CapsuleType
    stprfb: CapsuleType
    stprfs: CapsuleType
    stptri: CapsuleType
    stptrs: CapsuleType
    stpttf: CapsuleType
    stpttr: CapsuleType
    strcon: CapsuleType
    strevc: CapsuleType
    strexc: CapsuleType
    strrfs: CapsuleType
    strsen: CapsuleType
    strsna: CapsuleType
    strsyl: CapsuleType
    strti2: CapsuleType
    strtri: CapsuleType
    strtrs: CapsuleType
    strttf: CapsuleType
    strttp: CapsuleType
    stzrzf: CapsuleType
    xerbla_array: CapsuleType
    zbbcsd: CapsuleType
    zbdsqr: CapsuleType
    zcgesv: CapsuleType
    zcposv: CapsuleType
    zdrscl: CapsuleType
    zgbbrd: CapsuleType
    zgbcon: CapsuleType
    zgbequ: CapsuleType
    zgbequb: CapsuleType
    zgbrfs: CapsuleType
    zgbsv: CapsuleType
    zgbsvx: CapsuleType
    zgbtf2: CapsuleType
    zgbtrf: CapsuleType
    zgbtrs: CapsuleType
    zgebak: CapsuleType
    zgebal: CapsuleType
    zgebd2: CapsuleType
    zgebrd: CapsuleType
    zgecon: CapsuleType
    zgeequ: CapsuleType
    zgeequb: CapsuleType
    zgees: CapsuleType
    zgeesx: CapsuleType
    zgeev: CapsuleType
    zgeevx: CapsuleType
    zgehd2: CapsuleType
    zgehrd: CapsuleType
    zgelq2: CapsuleType
    zgelqf: CapsuleType
    zgels: CapsuleType
    zgelsd: CapsuleType
    zgelss: CapsuleType
    zgelsy: CapsuleType
    zgemqrt: CapsuleType
    zgeql2: CapsuleType
    zgeqlf: CapsuleType
    zgeqp3: CapsuleType
    zgeqr2: CapsuleType
    zgeqr2p: CapsuleType
    zgeqrf: CapsuleType
    zgeqrfp: CapsuleType
    zgeqrt: CapsuleType
    zgeqrt2: CapsuleType
    zgeqrt3: CapsuleType
    zgerfs: CapsuleType
    zgerq2: CapsuleType
    zgerqf: CapsuleType
    zgesc2: CapsuleType
    zgesdd: CapsuleType
    zgesv: CapsuleType
    zgesvd: CapsuleType
    zgesvx: CapsuleType
    zgetc2: CapsuleType
    zgetf2: CapsuleType
    zgetrf: CapsuleType
    zgetri: CapsuleType
    zgetrs: CapsuleType
    zggbak: CapsuleType
    zggbal: CapsuleType
    zgges: CapsuleType
    zggesx: CapsuleType
    zggev: CapsuleType
    zggevx: CapsuleType
    zggglm: CapsuleType
    zgghrd: CapsuleType
    zgglse: CapsuleType
    zggqrf: CapsuleType
    zggrqf: CapsuleType
    zgtcon: CapsuleType
    zgtrfs: CapsuleType
    zgtsv: CapsuleType
    zgtsvx: CapsuleType
    zgttrf: CapsuleType
    zgttrs: CapsuleType
    zgtts2: CapsuleType
    zhbev: CapsuleType
    zhbevd: CapsuleType
    zhbevx: CapsuleType
    zhbgst: CapsuleType
    zhbgv: CapsuleType
    zhbgvd: CapsuleType
    zhbgvx: CapsuleType
    zhbtrd: CapsuleType
    zhecon: CapsuleType
    zheequb: CapsuleType
    zheev: CapsuleType
    zheevd: CapsuleType
    zheevr: CapsuleType
    zheevx: CapsuleType
    zhegs2: CapsuleType
    zhegst: CapsuleType
    zhegv: CapsuleType
    zhegvd: CapsuleType
    zhegvx: CapsuleType
    zherfs: CapsuleType
    zhesv: CapsuleType
    zhesvx: CapsuleType
    zheswapr: CapsuleType
    zhetd2: CapsuleType
    zhetf2: CapsuleType
    zhetrd: CapsuleType
    zhetrf: CapsuleType
    zhetri: CapsuleType
    zhetri2: CapsuleType
    zhetri2x: CapsuleType
    zhetrs: CapsuleType
    zhetrs2: CapsuleType
    zhfrk: CapsuleType
    zhgeqz: CapsuleType
    zhpcon: CapsuleType
    zhpev: CapsuleType
    zhpevd: CapsuleType
    zhpevx: CapsuleType
    zhpgst: CapsuleType
    zhpgv: CapsuleType
    zhpgvd: CapsuleType
    zhpgvx: CapsuleType
    zhprfs: CapsuleType
    zhpsv: CapsuleType
    zhpsvx: CapsuleType
    zhptrd: CapsuleType
    zhptrf: CapsuleType
    zhptri: CapsuleType
    zhptrs: CapsuleType
    zhsein: CapsuleType
    zhseqr: CapsuleType
    zlabrd: CapsuleType
    zlacgv: CapsuleType
    zlacn2: CapsuleType
    zlacon: CapsuleType
    zlacp2: CapsuleType
    zlacpy: CapsuleType
    zlacrm: CapsuleType
    zlacrt: CapsuleType
    zladiv: CapsuleType
    zlaed0: CapsuleType
    zlaed7: CapsuleType
    zlaed8: CapsuleType
    zlaein: CapsuleType
    zlaesy: CapsuleType
    zlaev2: CapsuleType
    zlag2c: CapsuleType
    zlags2: CapsuleType
    zlagtm: CapsuleType
    zlahef: CapsuleType
    zlahqr: CapsuleType
    zlahr2: CapsuleType
    zlaic1: CapsuleType
    zlals0: CapsuleType
    zlalsa: CapsuleType
    zlalsd: CapsuleType
    zlangb: CapsuleType
    zlange: CapsuleType
    zlangt: CapsuleType
    zlanhb: CapsuleType
    zlanhe: CapsuleType
    zlanhf: CapsuleType
    zlanhp: CapsuleType
    zlanhs: CapsuleType
    zlanht: CapsuleType
    zlansb: CapsuleType
    zlansp: CapsuleType
    zlansy: CapsuleType
    zlantb: CapsuleType
    zlantp: CapsuleType
    zlantr: CapsuleType
    zlapll: CapsuleType
    zlapmr: CapsuleType
    zlapmt: CapsuleType
    zlaqgb: CapsuleType
    zlaqge: CapsuleType
    zlaqhb: CapsuleType
    zlaqhe: CapsuleType
    zlaqhp: CapsuleType
    zlaqp2: CapsuleType
    zlaqps: CapsuleType
    zlaqr0: CapsuleType
    zlaqr1: CapsuleType
    zlaqr2: CapsuleType
    zlaqr3: CapsuleType
    zlaqr4: CapsuleType
    zlaqr5: CapsuleType
    zlaqsb: CapsuleType
    zlaqsp: CapsuleType
    zlaqsy: CapsuleType
    zlar1v: CapsuleType
    zlar2v: CapsuleType
    zlarcm: CapsuleType
    zlarf: CapsuleType
    zlarfb: CapsuleType
    zlarfg: CapsuleType
    zlarfgp: CapsuleType
    zlarft: CapsuleType
    zlarfx: CapsuleType
    zlargv: CapsuleType
    zlarnv: CapsuleType
    zlarrv: CapsuleType
    zlartg: CapsuleType
    zlartv: CapsuleType
    zlarz: CapsuleType
    zlarzb: CapsuleType
    zlarzt: CapsuleType
    zlascl: CapsuleType
    zlaset: CapsuleType
    zlasr: CapsuleType
    zlassq: CapsuleType
    zlaswp: CapsuleType
    zlasyf: CapsuleType
    zlat2c: CapsuleType
    zlatbs: CapsuleType
    zlatdf: CapsuleType
    zlatps: CapsuleType
    zlatrd: CapsuleType
    zlatrs: CapsuleType
    zlatrz: CapsuleType
    zlauu2: CapsuleType
    zlauum: CapsuleType
    zpbcon: CapsuleType
    zpbequ: CapsuleType
    zpbrfs: CapsuleType
    zpbstf: CapsuleType
    zpbsv: CapsuleType
    zpbsvx: CapsuleType
    zpbtf2: CapsuleType
    zpbtrf: CapsuleType
    zpbtrs: CapsuleType
    zpftrf: CapsuleType
    zpftri: CapsuleType
    zpftrs: CapsuleType
    zpocon: CapsuleType
    zpoequ: CapsuleType
    zpoequb: CapsuleType
    zporfs: CapsuleType
    zposv: CapsuleType
    zposvx: CapsuleType
    zpotf2: CapsuleType
    zpotrf: CapsuleType
    zpotri: CapsuleType
    zpotrs: CapsuleType
    zppcon: CapsuleType
    zppequ: CapsuleType
    zpprfs: CapsuleType
    zppsv: CapsuleType
    zppsvx: CapsuleType
    zpptrf: CapsuleType
    zpptri: CapsuleType
    zpptrs: CapsuleType
    zpstf2: CapsuleType
    zpstrf: CapsuleType
    zptcon: CapsuleType
    zpteqr: CapsuleType
    zptrfs: CapsuleType
    zptsv: CapsuleType
    zptsvx: CapsuleType
    zpttrf: CapsuleType
    zpttrs: CapsuleType
    zptts2: CapsuleType
    zrot: CapsuleType
    zspcon: CapsuleType
    zspmv: CapsuleType
    zspr: CapsuleType
    zsprfs: CapsuleType
    zspsv: CapsuleType
    zspsvx: CapsuleType
    zsptrf: CapsuleType
    zsptri: CapsuleType
    zsptrs: CapsuleType
    zstedc: CapsuleType
    zstegr: CapsuleType
    zstein: CapsuleType
    zstemr: CapsuleType
    zsteqr: CapsuleType
    zsycon: CapsuleType
    zsyconv: CapsuleType
    zsyequb: CapsuleType
    zsymv: CapsuleType
    zsyr: CapsuleType
    zsyrfs: CapsuleType
    zsysv: CapsuleType
    zsysvx: CapsuleType
    zsyswapr: CapsuleType
    zsytf2: CapsuleType
    zsytrf: CapsuleType
    zsytri: CapsuleType
    zsytri2: CapsuleType
    zsytri2x: CapsuleType
    zsytrs: CapsuleType
    zsytrs2: CapsuleType
    ztbcon: CapsuleType
    ztbrfs: CapsuleType
    ztbtrs: CapsuleType
    ztfsm: CapsuleType
    ztftri: CapsuleType
    ztfttp: CapsuleType
    ztfttr: CapsuleType
    ztgevc: CapsuleType
    ztgex2: CapsuleType
    ztgexc: CapsuleType
    ztgsen: CapsuleType
    ztgsja: CapsuleType
    ztgsna: CapsuleType
    ztgsy2: CapsuleType
    ztgsyl: CapsuleType
    ztpcon: CapsuleType
    ztpmqrt: CapsuleType
    ztpqrt: CapsuleType
    ztpqrt2: CapsuleType
    ztprfb: CapsuleType
    ztprfs: CapsuleType
    ztptri: CapsuleType
    ztptrs: CapsuleType
    ztpttf: CapsuleType
    ztpttr: CapsuleType
    ztrcon: CapsuleType
    ztrevc: CapsuleType
    ztrexc: CapsuleType
    ztrrfs: CapsuleType
    ztrsen: CapsuleType
    ztrsna: CapsuleType
    ztrsyl: CapsuleType
    ztrti2: CapsuleType
    ztrtri: CapsuleType
    ztrtrs: CapsuleType
    ztrttf: CapsuleType
    ztrttp: CapsuleType
    ztzrzf: CapsuleType
    zunbdb: CapsuleType
    zuncsd: CapsuleType
    zung2l: CapsuleType
    zung2r: CapsuleType
    zungbr: CapsuleType
    zunghr: CapsuleType
    zungl2: CapsuleType
    zunglq: CapsuleType
    zungql: CapsuleType
    zungqr: CapsuleType
    zungr2: CapsuleType
    zungrq: CapsuleType
    zungtr: CapsuleType
    zunm2l: CapsuleType
    zunm2r: CapsuleType
    zunmbr: CapsuleType
    zunmhr: CapsuleType
    zunml2: CapsuleType
    zunmlq: CapsuleType
    zunmql: CapsuleType
    zunmqr: CapsuleType
    zunmr2: CapsuleType
    zunmr3: CapsuleType
    zunmrq: CapsuleType
    zunmrz: CapsuleType
    zunmtr: CapsuleType
    zupgtr: CapsuleType
    zupmtr: CapsuleType

__pyx_capi__: Final[_CApiDict]
__test__: Final[Mapping[Never, Never]]
